Subject: Re: [PATCH net-next v6 0/2] Add Frame Preemption MAC Merge support for ICSSG

From: Meghana Malladi <[email-masked]>
Date: Thu, 4 Jun 2026 19:09:41 +0530

Hi Simon,

On 5/27/26 17:27, Simon Horman wrote:
> On Mon, May 25, 2026 at 11:56:58PM +0530, Meghana Malladi wrote:
>> This patch series adds QoS support to the ICSSG PRUETH driver.
>> The first patch implements mqprio qdisc handling and TC offload hooks
>> so userspace can request TC mappings and queue counts.
>>
>> It also integrates a driver-side mechanism to program the firmware
>> with the IET/FPE preemption mask and to kick the firmware verify state
>> machine when frame preemption is enabled. The second patch adds ethtool
>> perations for the MAC Merge (Frame Preemption) sublayer, exposing .get_mm,
>> .set_mm and .get_mm_stats so admins can view and change MAC Merge
>> parameters and retrieve preemption statistics.
>>
>> v5: https://lore.kernel.org/all/[email-masked]/
>>
>> MD Danish Anwar (2):
>>    net: ti: icssg-prueth: Add Frame Preemption MAC Merge support
>>    net: ti: icssg-prueth: Add ethtool ops for Frame Preemption MAC Merge
> 
> Hi Meghana and MD,
> 
> There is another round of AI-generated reviews for this patch-set available at
> https://netdev-ai.bots.linux.dev/ and https://sashiko.dev/
> 
> I would appreciate it if you could look over them and address any
> issues that are either introduced by this patch-set, or directly
> impact it.
> 

Yeah I am working on it, though some of them seem to be false positives, 
some actually made sense. Hopefully I will fix all of them without 
introducing anything new in my next version.

> I would not suggest expanding this patchset to address any other
> pre-existing issues, but rather address them separately as appropriate.